;
; SETUP.ini (for Printer)
;
; LastModified: 17-Jul-2012
;
[Strings]
; IJ Driver Installer Common GUID (Do not touch)
PRODUCT_GUID={1199FAD5-9546-44f3-81CF-FFDB8040B7BF}
; __NAME_PRODUCT__ is auto supplied.
__NAME_PRINTERDRIVER_OTHER__=%__NAME_PRINTERDRIVER__% XPS
__MAIN_DRIVERTYPE_PRINT__=GDI
__CURRENT_DRIVERTYPE_PRINT__=GDI
__NAME_ARPPUBLISHER__=Canon Inc.

[RegValueStrings]
__NAME_SMEX_APP__=HKLM_WOW64,SOFTWARE\Canon\Solution Menu EX,AppPath,SZ

[Setup]
;-------------------------------------------------------------
; MUST
;-------------------------------------------------------------
; Product Name
ProductNameType=0x00000000
ProductType=0x00000080

; Default Target Directory
; <ROOT>|<SUB> --- Set hidden attributes to all <SUB> directories.
; <ROOT>       --- Create only.
DefaultTargetDir=%__FLD_PROGRAM_FILES__%|\CanonBJ\IJPrinter

; Default Device Directory
DefaultDeviceDir=%__NAME_PRODUCT__%
; Preinstall Device Directory
PreinstDeviceDir=%__NAME_PRODUCT__%\PreInstDrv
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
; VisualStyle(Windows XP or later)
; This value cannot use righthand variable.
EnableVisualStyle=0
; Region Default
RegionDefault     =0    ; Default = 0
RegionDefault.0009=0	; ENGLISH:   Default(USA, Canada, South America)
RegionDefault.1809=1	; ENGLISH:   Ireland(Europe, Middle East, Africa)
RegionDefault.3009=1	; ENGLISH:   Zimbabwe(Europe, Middle East, Africa)
RegionDefault.0809=1	; ENGLISH:   England(Europe, Middle East, Africa)
RegionDefault.1c09=1	; ENGLISH:   South Africa(Europe, Middle East, Africa)
RegionDefault.3409=2	; ENGLISH:   Philippines(Asia)
RegionDefault.0c09=3	; ENGLISH:   Australian(Oceania)
RegionDefault.1409=3	; ENGLISH:   New Zealand(Oceania)
RegionDefault.0004=2	; CHINESE:   Default(Asia)
; License Agreement
; License.<RegionDefault>=License.txt
; If License.1 or later EULA defined, show select dialog.
;
License.0009.0=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.1=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.2=RES\EULA\AS_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.3=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0004.0=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0004.1=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0004.2=RES\EULA\AS_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0004.3=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.0=RES\EULA\%__SELECTEDLANGNAME_NOSPC__%.txt
License.1=
License.2=
License.3=
; Shortcut Directory (Default = "")
ProgramShortcutDir=%__NAME_PRODUCT__%
; Version File
VersionFile=..\README\Version.txt
; Readme File
Readme.Default=..\README\3\readme_English.txt
Readme.Default.x64=..\README\6\readme_English.txt
Readme=..\README\3\readme_%__SELECTEDLANGDIR__%.txt
Readme.x64=..\README\6\readme_%__SELECTEDLANGDIR__%.txt
; Readme Shortcut (MUST Readme)
ReadmeShortcut=%NAME_READMESHORTCUT%.lnk
; Required Diskspace (MB)
; If you do not specified, installer use DRIVERDIRSIZE + 5MB for checking.
Diskspace=130
; Screen Caps
Resolution.X=0
Resolution.Y=0
ColorDepth=0
NotifySendInfoAgree=1

[PortSelect]
; PortSelect
; SelectPort(Printer/Fax)
PortSelect=0x1101
MaskName=USB,CNBJ1394,SHRFAX:
PrintUIModule=PRINTUI.DLL

[DirOS]
; Can use WINNT5, WINNT5_x64
Common=..\Driver
ALL=>FUNC.ALL
WINNT5=>FUNC.WINNT5
WINNT5_x64=>FUNC.WINNT5_X64

[TargetOS]
>FUNC.ALL=DUMMY
>FUNC.WINNT5=DUMMY
>FUNC.WINNT5_X64=DUMMY

[FUNC.ALL]
OTHER=DUMMY

[FUNC.WINNT5]
PRINT=PRNG3.cab,cnmiu3.dll,PrnCm.cab|*3.inf,*3.cat

[FUNC.WINNT5_X64]
PRINT=PRNG6.cab,cnmiu6.dll,PrnCm.cab|*6.inf,*6.cat

[InstallFiles]
;-------------------------------------------------------------
; Windows NTx86
;-------------------------------------------------------------
PRINT|..\Settings\3=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\Settings\3\,0x2,__INSFSTAT_02__
PRINT|.|%__EXTIF_NORMALINST__%=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\cnmiu.cab,0x2
PRINT|.|%__EXTIF_PREINST__%=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\PreInstDrv\cnmiu.cab,0x2

[InstallFiles.x64]
;-------------------------------------------------------------
; Windows NTamd64
;-------------------------------------------------------------
PRINT|..\Settings\6=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\Settings\6\,0x2,__INSFSTAT_02__
PRINT|.|%__EXTIF_NORMALINST__%=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\cnmiu.cab,0x2
PRINT|.|%__EXTIF_PREINST__%=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\PreInstDrv\cnmiu.cab,0x2

[AddReg]
PRINT|%__INSFSTAT_02__%=HKLM,SOFTWARE\Canon\Cnmbj\PrinterDriverInstaller\%__NAME_PRINTERDRIVER__%,UIDefaultPath,,"%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\Settings\3\uidef.ini"
PRINT|%__EXTIF_NOVSA__%=HKLM,SOFTWARE\Canon\cnmbj_ex\PrinterDriverInstaller\%__NAME_PRINTERDRIVER__%,CancelDefaultPrinter,,1
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,ModuleSrcPath,,%__DRIVERSTORE_DIR__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DestInfName,,%__NAME_PRINTERINF_SCOIP__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DriverVer,,"%__NAME_PRINTERINF_DRVVER__%"
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DeviceID,,%__NAME_PRINTER_HWID__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DriverRequiredMinimumInstallerVer,0x10001,%__VER_PREINST__%

[AddReg.x64]
PRINT|%__INSFSTAT_02__%=HKLM,SOFTWARE\Canon\Cnmbj\PrinterDriverInstaller\%__NAME_PRINTERDRIVER__%,UIDefaultPath,,"%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRODUCT__%\Settings\6\uidef.ini"
PRINT|%__EXTIF_NOVSA__%=HKLM,SOFTWARE\Canon\cnmbj_ex\PrinterDriverInstaller\%__NAME_PRINTERDRIVER__%,CancelDefaultPrinter,,1
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,ModuleSrcPath,,%__DRIVERSTORE_DIR__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DestInfName,,%__NAME_PRINTERINF_SCOIP__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DriverVer,,"%__NAME_PRINTERINF_DRVVER__%"
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DeviceID,,%__NAME_PRINTER_HWID__%
PRINT|%__EXTIF_PREINST__%=HKLM,SOFTWARE\Canon\Cnmbj\PreInstDrv\%__NAME_PRINTERDRIVER__%,DriverRequiredMinimumInstallerVer,0x10001,%__VER_PREINST__%

;
; FinishAction
;
[FinishAction] ; for Win2K or later
ALWAYS|"%__NAME_SMEX_APP__%" /update |100|%__NAME_SMEX_APP__%&%__EXTIF_NOMSETUP__%&%__VAL_NOTRESTART__%|=

[FinishAction.x64] ; for WinXP(x64) or later
ALWAYS|"%__NAME_SMEX_APP__%" /update |100|%__NAME_SMEX_APP__%&%__EXTIF_NOMSETUP__%&%__VAL_NOTRESTART__%|=

[Uninstaller]
;-------------------------------------------------------------
; OPTIONAL 
;  But if you set uninstallation information, set the 
;  following values.
;  DisplayName, Files, TargetDir, and ProductGUID
;-------------------------------------------------------------
;;  Version(obsolete) ---> currently not used.
DisplayName=%NAME_ARPDISP_SFP%
DisplayVersion=%__STR_MPDRIVER_VER__%
Publisher=%__NAME_ARPPUBLISHER__%
Files.x64=DELDRV64.exe,SETUP.ini,MUI*.dll,RES\DLL\IJINST*.dll,RES\STRING\*.ini
Files=DELDRV.exe,SETUP.ini,MUI*.dll,RES\DLL\IJINST*.dll,RES\STRING\*.ini
TargetDir=CanonIJ Uninstaller Information
ProductGUID=%PRODUCT_GUID%_%__NAME_PRODUCT_PARAM__%
CommandLine=/U:%PRODUCT_GUID%_%__NAME_PRODUCT_PARAM__% /L0x%__SELECTEDLANGID__%
CleanupCommandLine=/U:%PRODUCT_GUID%_%__NAME_PRODUCT_PARAM__% /L0x%__SELECTEDLANGID__% /%__NAME_OPT_UNINSTALLER_SILENT__%:%__NAME_PRODUCT_PARAM__% /F:%__CLEANUP_FUNCTIONS__% -SW:%__NAME_SHORTCUT__% -SW:WIFIHELPER -DR:"%__VAR_NAME_PRNDRV_OTHER_IF_NEED_UNINSTALL__%" -DR:"INBOX PRINT" -DR:"INBOX FAX" -DR:"INBOX SCAN"
UpgradeCommandLine=/U:%PRODUCT_GUID%_%__NAME_PRODUCT_PARAM__% /L0x%__SELECTEDLANGID__% /%__NAME_OPT_UNINSTALLER_SILENT__%:%__NAME_PRODUCT_PARAM__% /F:%__UPGRADE_FUNCTIONS__%
PreinstCommandLine=/PREINST /U:%PRODUCT_GUID%_%__NAME_PRODUCT_PARAM__% /L0x%__SELECTEDLANGID__%
UninstInbox=1

[LANGUAGES]
; LangID(Hex)=LanguageName, StringTableFile, ResourceDLL
; If the righthand value is "<SELECT>", display selection dialog.
; 0000 ---- Neutral(Default)
0000=<SELECT>|English
0001=Arabic|Arabic,RES\STRING\IJINSTAR.ini,RES\DLL\IJINSTAR.dll
0002=Bulgarian|Bulgarian,RES\STRING\IJINSTBG.ini,RES\DLL\IJINSTBG.dll
0804=Simplified Chinese|Chinese (Simplified),RES\STRING\IJINSTCN.ini,RES\DLL\IJINSTCN.dll
0404=Traditional Chinese|Chinese (Traditional),RES\STRING\IJINSTTW.ini,RES\DLL\IJINSTTW.dll
0005=Czech|Czech,RES\STRING\IJINSTCZ.ini,RES\DLL\IJINSTCZ.dll
0006=Danish|Danish,RES\STRING\IJINSTDK.ini,RES\DLL\IJINSTDK.dll
0007=German|German,RES\STRING\IJINSTDE.ini,RES\DLL\IJINSTDE.dll
0008=Greek|Greek,RES\STRING\IJINSTGR.ini,RES\DLL\IJINSTGR.dll
0009=English|English,RES\STRING\IJINSTUS.ini,RES\DLL\IJINSTUS.dll
000A=Spanish|Spanish,RES\STRING\IJINSTES.ini,RES\DLL\IJINSTES.dll
000B=Finnish|Finnish,RES\STRING\IJINSTFI.ini,RES\DLL\IJINSTFI.dll
000C=French|French,RES\STRING\IJINSTFR.ini,RES\DLL\IJINSTFR.dll
000E=Hungarian|Hungarian,RES\STRING\IJINSTHU.ini,RES\DLL\IJINSTHU.dll
0010=Italian|Italian,RES\STRING\IJINSTIT.ini,RES\DLL\IJINSTIT.dll
0011=Japanese|Japanese,RES\STRING\IJINSTJP.ini,RES\DLL\IJINSTJP.dll
0012=Korean|Korean,RES\STRING\IJINSTKR.ini,RES\DLL\IJINSTKR.dll
0013=Dutch|Dutch,RES\STRING\IJINSTNL.ini,RES\DLL\IJINSTNL.dll
0014=Norwegian|Norwegian,RES\STRING\IJINSTNO.ini,RES\DLL\IJINSTNO.dll
0015=Polish|Polish,RES\STRING\IJINSTPL.ini,RES\DLL\IJINSTPL.dll
0016=Portuguese|Portuguese,RES\STRING\IJINSTPT.ini,RES\DLL\IJINSTPT.dll
0018=Rumanian|Romanian,RES\STRING\IJINSTRO.ini,RES\DLL\IJINSTRO.dll
0019=Russian|Russian,RES\STRING\IJINSTRU.ini,RES\DLL\IJINSTRU.dll
001B=Slovak|Slovak,RES\STRING\IJINSTSK.ini,RES\DLL\IJINSTSK.dll
001D=Swedish|Swedish,RES\STRING\IJINSTSE.ini,RES\DLL\IJINSTSE.dll
001E=Thai|Thai,RES\STRING\IJINSTTH.ini,RES\DLL\IJINSTTH.dll
001F=Turkish|Turkish,RES\STRING\IJINSTTR.ini,RES\DLL\IJINSTTR.dll
0021=Indonesian|Indonesian,RES\STRING\IJINSTID.ini,RES\DLL\IJINSTID.dll
0022=Ukrainian|Ukrainian,RES\STRING\IJINSTUK.ini,RES\DLL\IJINSTUK.dll
0024=Slovenian|Slovenian,RES\STRING\IJINSTSL.ini,RES\DLL\IJINSTSL.dll
0025=Estonian|Estonian,RES\STRING\IJINSTET.ini,RES\DLL\IJINSTET.dll
0026=Latvian|Latvian,RES\STRING\IJINSTLV.ini,RES\DLL\IJINSTLV.dll
0027=Lithuanian|Lithuanian,RES\STRING\IJINSTLT.ini,RES\DLL\IJINSTLT.dll

[MUI]
LangIDFiles=MUIEA322.dll,MUIEJS.dll

[EXIF_Default]
; External Interface (Default)
SetPrinterLang=1
SetPrinterInstallID=1
